import React from 'react'           // React to manage the GUI

/** Import sub-modules */
import startPage from './startPage'
import playerList from './playerList'       // Everything that has to do with players
import matchList from './matchList'         // Everything that has to do with matches
import layout from './layout'

/** Import CSS Styles */
import 'bootstrap/dist/css/bootstrap.css'

/** Main application */
class Main extends React.Component {
  render () {
    const AppLayout = layout.components.AppLayout

    return (
      <div className='container'>
        <AppLayout
          layout={this.props.layout}
          layoutActions={this.props.layoutActions}
          state={this.props}
          components={{
            PlayerList: playerList.components.PlayerList,
            MatchTable: matchList.components.MatchTable,
            StartPage: startPage.components.StartPage
          }}
        />
      </div>
    )
  }
}

export default Main
