import React from 'react'
import { Tabs, Tab } from 'react-bootstrap'

class AppLayout extends React.Component {
  render () {
    console.log('AppLayout state', this.props.state)
    const { activeTab } = this.props.layout
    const { changeTab } = this.props.layoutActions
    const { state } = this.props
    const { PlayerList, MatchTable, StartPage } = this.props.components

    return (
      <div>
        <Tabs activeKey={activeTab} onSelect={changeTab} id='layout-tabs'>
          <Tab eventKey={0} title='Setup'><StartPage state={state.setupPage} actions={state.setupPageActions} /></Tab>
          <Tab eventKey={1} title='PlayerList' disabled><PlayerList state={state.playerList} actions={state.playerListActions} /></Tab>
          <Tab eventKey={2} title='Calendar' disabled><MatchTable state={state.matchList} actions={state.matchListActions} /></Tab>
          <Tab eventKey={3} title='Spielplan' disabled />
          <Tab eventKey={4} title='Zahlliste' disabled />
        </Tabs>
      </div>
    )
  }
}

export default AppLayout
