import React from 'react'
import { FormGroup, ControlLabel, FormControl, HelpBlock } from 'react-bootstrap'

function FieldGroup ({ id, label, help, ...props }) {
  return (
    <FormGroup controlId={id}>
      <ControlLabel>{label}</ControlLabel>
      <FormControl {...props} />
      {help && <HelpBlock>{help}</HelpBlock>}
    </FormGroup>
  )
}

class PlayerFilter extends React.Component {
  render () {
    return (
      <form>
        <FieldGroup
          id='playerListFile'
          type='file'
          label='playerList.xls File'
          help='Die Datei wird von der Swisstennis Turniersoftware generiert.'
        />
      </form>
    )
  }
}

export default PlayerFilter
