import React from 'react'
import { Panel, FormGroup, ControlLabel, FormControl, HelpBlock } from 'react-bootstrap'

function FieldGroup ({ id, label, help, ...props }) {
  return (
    <FormGroup controlId={id}>
      <ControlLabel>{label}</ControlLabel>
      <FormControl {...props} />
      {help && <HelpBlock>{help}</HelpBlock>}
    </FormGroup>
  )
}

class PlayerForm extends React.Component {
  constructor () {
    super()
    this.handleFileUpload = this.handleFileUpload.bind(this)
  }

  handleFileUpload () {
    const file = this.playerListFile
    const { fileUploadStart } = this.props.actions
    fileUploadStart(file)
  }

  render () {
    const { fileUpload } = this.props.state

    return (
      <div>
        {fileUpload === 'failure'
        ? (<Panel header='Fehler'>Fehler beim laden.</Panel>)
        : ''}
        <form>
          <FieldGroup
            id='playerListFile'
            type='file'
            label='PlayerList.xls File'
            help='Die Datei wird von der Swisstennis Turniersoftware generiert.'
            ref={input => { this.playerListFile = input }}
            onChange={this.handleFileUpload}
          />
        </form>
      </div>
    )
  }
}

export default PlayerForm
