import { actions, reducer, state, saga } from './state'
import components from './components'
import Player from '../classes/player'

const filters = {
  all: players => players
}

const selectors = {}

export default { actions, components, filters, selectors, reducer, state, saga }

const FILTER_OFF = 'Alle'

function calculatePlayerFilters () {
  const categories = []
  this.state.player.players.forEach((item) => {
    if (!!item.Konkurrenz & !categories.includes(item.Konkurrenz)) {
      categories.push(item.Ort)
    }
  })
  const player = { ...this.state.player, categories }
  this.setState({ player })
}

function generatePlayerList (worksheet) {
  console.log('About to read the player list.')
    /* const worksheets = { ...this.state.worksheets }
    worksheets['PlayerList'] = worksheet
    this.setState({ worksheets }) */

  if (worksheet[4].length !== 32 & worksheet[3][0] !== 'Konkurrenz' & worksheet[3][31] !== 'bezahlt') {
    throw Error('Wrong file structure.')
  }
  const players = worksheet.slice(4, worksheet.length).map((playerData) => new Player.Player(playerData))
  const player = { ...this.state.player }
  player.players = players
  this.setState({ player })
  this.calculatePayDate()
  this.filterPlayers()
  console.log('State after generating player list:', this.state)
}

function filterPlayers () {
  const filters = {
    junior: this.playerJunior.checked,
    paid: this.playerPaid.checked,
    category: this.playerCategory.value !== FILTER_OFF ? this.playerCategory.value : null
  }
  console.log('New filter settings:', filters)

  const player = { ...this.state.player, filters }
  player.filtered = player.players
  this.setState({ player })
}
