import React from 'react'
import Excel from '../../excel'
import { Button } from 'react-bootstrap'
import { fileSize } from '../../helpers'

class FileButton extends React.Component {
  constructor () {
    super()

    this.labelStyle = {
      fontSize: '1.25em',
      fontWeight: 700,
      color: '#f1e5e6',
      backgroundColor: '#d3394c',
      display: 'inline-block',
      cursor: 'pointer',
      textOverflow: 'ellipsis',
      whiteSpace: 'nowrap',
      overflow: 'hidden',
      padding: '0.625rem 2.5rem'
    }
    this.inputStyle = {
      width: 0.1,
      height: 0.1,
      opacity: 0,
      overflow: 'hidden',
      position: 'absolute',
      zIndex: -1
    }
    this.file = null
    this.getFocus = this.getFocus.bind(this)
    this.loseFocus = this.loseFocus.bind(this)
    this.processFile = this.processFile.bind(this)
  }

  getFocus (ev) {
    console.log('enter button')
    this.labelStyle = { ...this.labelStyle, backgroundColor: '#722040', outline: '1px solid #000' }
  }

  loseFocus (ev) {
    console.log('leave button')
    this.labelStyle = { ...this.labelStyle, backgroundColor: '#d3394c', outline: null }
  }

  processFile (ev) {
    console.log(`process file`)
    this.file = this.fileName.files[0]
  }

  render () {
    return (
      <div className='file-button'>
        <input name={this.props.name} id={this.props.name} ref={input => this.fileName = input} type='file' style={this.inputStyle} props={this.props} onChange={this.processFile} />
        <label htmlFor={this.props.name} onMouseEnter={this.getFocus} onMouseLeave={this.loseFocus} style={this.labelStyle}><span className='glyphicon glyphicon-open' ariaHidden='true' /> PlayerList.xls laden...</label>
        {this.file ? <span>{this.file.name}<i>{fileSize(this.file.size)}</i> not boring</span> : <span>boring</span>}
      </div>
    )
  }
}

class FileImport extends React.Component {
  constructor () {
    super()
    this.handleCalendar = this.handleCalendar.bind(this)
    this.handlePlayerList = this.handlePlayerList.bind(this)
  }

  handleCalendar (event) {
    const file = this.calendar.files[0]
    Excel.readWorkbook(file, this.generateCalendar)
  }

  handlePlayerList (event) {
    const file = this.playerList.files[0]
    Excel.readWorkbook(file, this.generatePlayerList)
  }

  render () {
    return (
      <div>
        <Button onClick={this.handlePlayerList}>PlayerList.xls</Button>
        <Button onClick={this.handleCalendar}>Calendar.xls</Button>
        <FileButton name='playerList' data-allowed-file-extensions='xls' />
      </div>
    )
  }
}

export default FileImport
